# DataExchange
TKIGES
IGESSolid

# IGESSolid_Torus Class Reference

defines Torus, Type <160> Form Number <0>
in package IGESSolid
A Torus is a solid formed by revolving a circular disc
about a specified coplanar axis.

`#include <IGESSolid_Torus.hxx>`

Inheritance diagram for IGESSolid_Torus:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_Torus ()
Standard_EXPORT void | Init (const Standard_Real R1, const Standard_Real R2, const gp_XYZ &aPoint, const gp_XYZ &anAxisdir)
| This method is used to set the fields of the class Torus - R1 : distance from center of torus to center of circular disc to be revolved - R2 : radius of circular disc - aPoint : center point coordinates (default (0,0,0)) - anAxis : unit vector in axis direction (default (0,0,1)) .
Standard_EXPORT Standard_Real | MajorRadius () const
| returns the distance from the center of torus to the center of the disc to be revolved
Standard_EXPORT Standard_Real | DiscRadius () const
| returns the radius of the disc to be revolved
Standard_EXPORT gp_Pnt | AxisPoint () const
| returns the center of torus
Standard_EXPORT gp_Pnt | TransformedAxisPoint () const
| returns the center of torus after applying TransformationMatrix
Standard_EXPORT gp_Dir | Axis () const
| returns direction of the axis
Standard_EXPORT gp_Dir | TransformedAxis () const
| returns direction of the axis after applying TransformationMatrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | theR1
Standard_Real | theR2
gp_XYZ | thePoint
gp_XYZ | theAxis

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_Torus::IGESSolid_Torus | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Dir IGESSolid_Torus::Axis | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_Torus::AxisPoint | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_Torus::DiscRadius | ( |  | ) | const

Standard_EXPORT const IGESSolid_Torus::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_Torus::Init | ( | const Standard_Real | R1,
|  | const Standard_Real | R2,
|  | const gp_XYZ & | aPoint,
|  | const gp_XYZ & | anAxisdir
| ) |

Standard_EXPORT Standard_Real IGESSolid_Torus::MajorRadius | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_Torus::TransformedAxis | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_Torus::TransformedAxisPoint | ( |  | ) | const

## Field Documentation

gp_XYZ IGESSolid_Torus::theAxis `[private]`

gp_XYZ IGESSolid_Torus::thePoint `[private]`

Standard_Real IGESSolid_Torus::theR1 `[private]`

Standard_Real IGESSolid_Torus::theR2 `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_Torus.hxx